apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: zfs-iscsi-enc0
  annotations:
    "helm.sh/resource-policy": keep
spec:
  storageClassName: zfs-iscsi-enc0
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 8Gi

---

apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: zfs-iscsi-enc1
  annotations:
    "helm.sh/resource-policy": keep
spec:
  storageClassName: zfs-iscsi-enc1
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 8Gi

---

apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: zfs-nfs-enc1
  annotations:
    "helm.sh/resource-policy": keep
spec:
  storageClassName: zfs-nfs-enc1
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 8Gi

---

apiVersion: apps/v1
kind: Deployment
metadata:
  name: democratic-csi-test
spec:
  selector:
    matchLabels:
      app: democratic-csi-test
  template:
    metadata:
      labels:
        app: democratic-csi-test
    spec:
      containers:
      - image: debian
        command:
          - bash
          - -c
          - 'sleep infinity'
        name: democratic-csi-test
        volumeMounts:
          - mountPath: /zfs_iscsi_enc0
            name: zfs-iscsi-enc0
          - mountPath: /zfs_iscsi_enc1
            name: zfs-iscsi-enc1
          - mountPath: /zfs_nfs_enc1
            name: zfs-nfs-enc1
        resources:
          limits:
            memory: "4Gi"
            cpu: "2"
          requests:
            memory: "1Mi"
            cpu: "1m"
      restartPolicy: Always
      volumes:
        - name: zfs-iscsi-enc0
          persistentVolumeClaim:
            claimName: zfs-iscsi-enc0
        - name: zfs-iscsi-enc1
          persistentVolumeClaim:
            claimName: zfs-iscsi-enc1
        - name: zfs-nfs-enc1
          persistentVolumeClaim:
            claimName: zfs-nfs-enc1
